Межсайтовый скриптинг в Claroline

Дата публикации:
22.05.2009
Дата изменения:
22.05.2009
Всего просмотров:
1995
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Claroline 1.x
Уязвимые версии: Claroline 1.8.11, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в HTTP заголовке "Referer" в сценарии claroline/linker/notfound.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.claroline.net

Решение: Установите исправление из SVN репозитория производителя.

Ссылки: http://forum.claroline.net/viewtopic.php?f=69&t=16193&p=42102#p42099
http://gsasec.blogspot.com/

или введите имя

CAPTCHA